#!/usr/bin/env python

import json
import logging
import os
import pyzabbix
import urllib2

FORMAT = '%(asctime)-15s %(levelname)s %(message)s'
logging.basicConfig(format=FORMAT)
logger = logging.getLogger(__name__)
logger.setLevel('DEBUG')

if __name__ == '__main__':
    api = pyzabbix.ZabbixAPI(os.environ.get('ZABBIX_URL'))
    api.login(
        os.environ.get('ZABBIX_LOGIN'),
        os.environ.get('ZABBIX_PASSWORD')
    )

    groups = api.hostgroup.get(output='extend')
    hostlist = {}
    for group in groups:
        hosts = api.host.get(
            output='extend',
            groupids=group['groupid'])
        for host in hosts:
            fqdn = host['host']
            hostlist[fqdn] = {}

    for host in hostlist.keys():
        ua = urllib2.urlopen(
            '%s/api.php?handler=newObject&name=%s&label=%s&object_type_id=4' % (
                os.environ.get('RACKTABLES_URL'),
                host,
                host,
            ))
        response = json.loads(ua.read())

        if response['status'] == 'ok':
            logger.info('%s added' % host)
        else:
            logger.error('Error adding %s: %s' % (host, response['reason']))
